﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using VillainmadConfig;

namespace VMGame
{
    class VMGameController : GameState
    {
        public override string Background
        {
            get { return "UI/Border.png"; }
        }

        public override string[] textureList
        {
            get
            {
                return new string[] { "UI/Border.png", "sprites/hitbox.png",
                    "sprites/LexyLeft1.png", "sprites/LexyLeft2.png", 
                    "sprites/LexyRight1.png", "sprites/LexyRight2.png", 
                    "sprites/LexyNeutral.png" };
            }
        }

        public VMGameController()
        {
        }

        public override void Update(GameTime gameTime)
        {
            base.Update(gameTime);
            if (gameTime.IsRunningSlowly) Slow = true;
            else Slow = false;
        }

        public override void Start()
        {
            StartStage("TestLevel");
        }

        private bool Slow = false;

        public override void Draw(GameTime gameTime)
        {
            base.Draw(gameTime);

            if (StageStarted)
            {
                spriteBatch.Begin();
                spriteBatch.DrawString(Game.fntGeneric, 
                    Stage.IndicesUsedCount(11) + "\n"
                    + SoundListCount
                    , Vector2.Zero, Color.White);
                spriteBatch.End();
            }
            if (Slow)
            {
                spriteBatch.Begin();
                spriteBatch.DrawString(Game.fntGeneric,
                    "Running slow!",
                    new Vector2(0f, 128f),
                    Color.Red);
                spriteBatch.End();
            }
#if INDEBUG
            CurrentInput.Draw(spriteBatch);
#endif
        }
    }
}
